Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.trace
Class SelectionEvent

    java.lang.Object
      |
      +--weblogic.apache.xalan.trace.SelectionEvent

Direct Known Subclasses:
  EndSelectionEvent

public class SelectionEvent
extends java.lang.Object
implements java.util.EventListener

Event triggered by selection of a node in the style stree.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Field Summary
`java.lang.String` | `m_attributeName` The attribute name from which the selection is made.
`TransformerImpl` | `m_processor` The XSLT processor instance.
`XObject` | `m_selection` The result of the selection.
`org.w3c.dom.Node` | `m_sourceNode` The current context node.
`ElemTemplateElement` | `m_styleNode` The node in the style tree where the event occurs.
`XPath` | `m_xpath` The XPath that executed the selection.

Constructor Summary
`SelectionEvent(TransformerImpl processor, org.w3c.dom.Node sourceNode, ElemTemplateElement styleNode, java.lang.String attributeName, XPath xpath, XObject selection)` Create an event originating at the given node of the style tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_styleNode

    public final ElemTemplateElement m_styleNode

  The node in the style tree where the event occurs.

### m_processor

    public final TransformerImpl m_processor

  The XSLT processor instance.

### m_sourceNode

    public final org.w3c.dom.Node m_sourceNode

  The current context node.

### m_attributeName

    public final java.lang.String m_attributeName

  The attribute name from which the selection is made.

### m_xpath

    public final XPath m_xpath

  The XPath that executed the selection.

### m_selection

    public final XObject m_selection

  The result of the selection.

Constructor Detail

### SelectionEvent

    public SelectionEvent(TransformerImpl processor,
                          org.w3c.dom.Node sourceNode,
                          ElemTemplateElement styleNode,
                          java.lang.String attributeName,
                          XPath xpath,
                          XObject selection)

  Create an event originating at the given node of the style tree.

  Parameters:
    `processor` - The XSLT TransformerFactory.
    `sourceNode` - The current context node.
    `mode` - The current mode.
    `styleNode` - node in the style tree reference for the event. Should not be null. That is not enforced.
    `attributeName` - The attribute name from which the selection is made.
    `xpath` - The XPath that executed the selection.
    `selection` - The result of the selection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference